// Mike Maxim
// IRTree rep for constants

package edu.cmu.cs.l3.tree;

public class IRConst extends IRExpression {

    public IRConst(long v) {
	m_value=v;

	m_classname = "IRConst";
    }

    public long getValue() {
	return m_value;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList();
    }

    public IRExpression build(IRExpressionList l) {
	return new IRConst(m_value);
    }

    public String toString() {
	return "[" + super.toString() + " " + m_value + "]";


    }

    private long m_value;
}


